<template>
  <div>
    <ac-collection-table
      ref="acCollectiontable"
      :columns="table_data.columns"
      :dropdown="table_data.dropdown"
      :dropdown_options="dropdown"
      :bulk="table_data.bulk"
      :url="collection.url"
      :method="collection.method"
      :params="collection.params"
      :loading_image="collection.loading_image"
      :sort_key="collection.sort_key"
      :ac_cursor="collection.ac_cursor"
      @dropdown_click="event_test"
    />
  </div>
</template>

<script>
export default {
  data: function() {
    return {
      collection: {
        url: "https://jsonplaceholder.typicode.com/posts/1/comments",
        loading_image:
          "https://loading.io/spinners/dual-ring/lg.dual-ring-loader.gif",
        ac_cursor: {
          postId: 1
        },
        method: "GET",
        params: {
          headers: {
            "Custom-Header": "My custom header"
          }
        },
        sort_key: "name"
      },
      card_links: [
        {
          label: "First",
          href: "/first",
          variant: "primary"
        },
        {
          label: "Second",
          href: "/second",
          variant: "success"
        }
      ],
      table_data: {
        bulk: true,
        dropdown: true,
        columns: [
          {
            label: "Id",
            sortable: true,
            key: "id"
          },
          {
            label: "Name",
            sortable: false,
            key: "name"
          }
        ]
      },
      dropdown: {
        options: [
          {
            label: "Edit",
            type: "edit",
            icon: "fas fa-pencil-alt"
          },
          {
            label: "Delete",
            type: "delete",
            icon: "fas fa-trash-alt"
          }
        ],
        button_options: {
          icon: "fas fa-ellipsis-v",
          variant: "outline-secondary",
          size: "sm",
          right: true
        }
      }
    };
  },
  mounted() {
    this.$refs.acCollectiontable.set_ajax();
    console.log(this.$refs);
  },
  methods: {
    event_test(data) {
      console.log(data);
    }
  }
};
</script>

<style>
</style>
